// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_FAssetData.h"
#include "AssetRegistry/AssetData.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_FAssetData::SCW_FAssetData(FAssetData* InAssetData) : AssetData(InAssetData)
{

}

wstring SCW_FAssetData::GetPackageName() const
{
	return *AssetData->PackageName.ToString();
}

FAssetData* SCW_FAssetData::ToFAssetData() const
{
	return AssetData;
}

ISCW_FAssetDataPtr SCW_FAssetData::ToFAssetDataPtr()
{
	return GetSharedThisAs<SCW_FAssetData>();
}

ISCW_FAssetDataConstPtr SCW_FAssetData::ToFAssetDataPtr() const
{
	return GetSharedThisAs<SCW_FAssetData>();
}